pub enum Opcode {
    ADD = 1,
    MULT = 2,
    TERMINATE = 99,
}

impl TryFrom<i32> for Opcode {
    type Error = ();

    fn try_from(v: i32) -> Result<Self, Self::Error> {
        match v {
            x if x == Opcode::ADD as i32 => Ok(Opcode::ADD),
            x if x == Opcode::MULT as i32 => Ok(Opcode::MULT),
            x if x == Opcode::TERMINATE as i32 => Ok(Opcode::TERMINATE),
            _ => Err(()),
        }
    }
}
